Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_POSIX_Asynch_Accept_Result Class Reference

This is that class which will be passed back to the <handler> when the asynchronous accept completes. More...

`#include <POSIX_Asynch_IO.h>`

Inheritance diagram for ACE_POSIX_Asynch_Accept_Result:

[legend]
Collaboration diagram for ACE_POSIX_Asynch_Accept_Result:

[legend]
List of all members.

## Public Methods

size_t | bytes_to_read (void) const
ACE_Message_Block & | message_block (void) const
| Message block which contains the read data.
ACE_HANDLE | listen_handle (void) const
| I/O handle used for accepting new connections.
ACE_HANDLE | accept_handle (void) const
| I/O handle for the new connection.

## Protected Methods

| ACE_POSIX_Asynch_Accept_Result (ACE_Handler &handler, ACE_HANDLE listen_handle, ACE_HANDLE accept_handle, ACE_Message_Block &message_block, size_t bytes_to_read, const void *act, ACE_HANDLE event, int priority, int signal_number)
virtual void | complete (size_t bytes_transferred, int success, const void *completion_key, u_long error)
| ACE_Proactor will call this method when the accept completes.
virtual | ~ACE_POSIX_Asynch_Accept_Result (void)
| Destructor.

## Protected Attributes

ACE_Message_Block & | message_block_
| Message block for reading the data into.
ACE_HANDLE | listen_handle_
| I/O handle used for accepting new connections.

## Friends

class | ACE_POSIX_Asynch_Accept
| Factory classes will have special permissions.
class | ACE_POSIX_Proactor
| The Proactor constructs the Result class for faking results.

## Detailed Description

This is that class which will be passed back to the <handler> when the asynchronous accept completes.

This class has all the information necessary for the <handler> to uniquiely identify the completion of the asynchronous accept.

## Constructor & Destructor Documentation

ACE_POSIX_Asynch_Accept_Result::ACE_POSIX_Asynch_Accept_Result | ( | ACE_Handler & | handler,
|  | ACE_HANDLE | listen_handle,
|  | ACE_HANDLE | accept_handle,
|  | ACE_Message_Block & | message_block,
|  | size_t | bytes_to_read,
|  | const void * | act,
|  | ACE_HANDLE | event,
|  | int | priority,
|  | int | signal_number
| ) | `[protected]`

| Constructor is protected since creation is limited to ACE_Asynch_Accept factory.

ACE_POSIX_Asynch_Accept_Result::~ACE_POSIX_Asynch_Accept_Result | ( | void |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

ACE_HANDLE ACE_POSIX_Asynch_Accept_Result::accept_handle | ( | void |  | ) | const`[virtual]`

| I/O handle for the new connection. Implements ACE_Asynch_Accept_Result_Impl.

size_t ACE_POSIX_Asynch_Accept_Result::bytes_to_read | ( | void |  | ) | const`[virtual]`

| The number of bytes which were requested at the start of the asynchronous accept. Implements ACE_Asynch_Accept_Result_Impl.

void ACE_POSIX_Asynch_Accept_Result::complete | ( | size_t | bytes_transferred,
|  | int | success,
|  | const void * | completion_key,
|  | u_long | error
| ) | `[protected, virtual]`

| ACE_Proactor will call this method when the accept completes. Implements ACE_Asynch_Result_Impl.

ACE_HANDLE ACE_POSIX_Asynch_Accept_Result::listen_handle | ( | void |  | ) | const`[virtual]`

| I/O handle used for accepting new connections. Implements ACE_Asynch_Accept_Result_Impl.

ACE_Message_Block & ACE_POSIX_Asynch_Accept_Result::message_block | ( | void |  | ) | const`[virtual]`

| Message block which contains the read data. Implements ACE_Asynch_Accept_Result_Impl.

## Friends And Related Function Documentation

friend class ACE_POSIX_Asynch_Accept`[friend]`

| Factory classes will have special permissions.

friend class ACE_POSIX_Proactor`[friend]`

| The Proactor constructs the Result class for faking results.

## Member Data Documentation

ACE_HANDLE ACE_POSIX_Asynch_Accept_Result::listen_handle_`[protected]`

| I/O handle used for accepting new connections.

ACE_Message_Block& ACE_POSIX_Asynch_Accept_Result::message_block_`[protected]`

| Message block for reading the data into.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/POSIX_Asynch_IO.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/POSIX_Asynch_IO.cpp